<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('room_categories', function (Blueprint $table) {
            $table->id();

            $table->string('short_name');
            $table->string('name');
            $table->string('slug')->unique();
            $table->integer('sort_order')->default(0);
            $table->text('description')->nullable();

            $table->longText('details')->nullable();
            $table->longText('policies')->nullable();

            $table->decimal('base_price', 10, 2);

            // occupancy
            $table->unsignedTinyInteger('max_adults')->default(1);
            $table->unsignedTinyInteger('max_children')->default(0);

            $table->integer('default_bed_count')->default(1);
            $table->integer('default_bathroom_count')->default(1);
            $table->integer('default_size')->nullable();

            $table->boolean('is_published')->default(true);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('room_categories');
    }
};
